0

These are my Ubuntu specs: Description: Ubuntu 18.04 LTS Release: 18.04 Codename: bionic

I am following the instructions in https://docs.docker.com/install/linux/docker-ce/ubuntu/

I am stuck at step 4 where it says: sudo add-apt-repository \ "deb [arch=amd64] https://download.docker.com/linux/ubuntu \ $(lsb_release -cs) \ stable"

Something is just not right there.

  • What error message do you get? We can't see it, so you'll need to read it and deal with whatever it says. If you want us to help, you should copy/paste the command & error message(s) received here so we can assist you (trimming them only if you understand what you can trim) – guiverc Aug 24 '19 at 6:17
0

Your question may be answered here.

Run this command instead:

sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"

The command on docker introduces line breaks to a file that cannot have any. You may have to go through and remove incorrectly formatted files from /etc/apt/sources.list.d/ if you tried this many times.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.